Skip to content

Work

Read your connected assistant work

List your selected assistant destinations and work, or inspect one owned work item's exact initiating conversation, source evidence and saved results. Personal connections only; current event, conversation and mailbox access is checked. Credentials are never returned. Separate from platform-admin worker requests.

Method

POST

Path

/v1/assistant-work/inspect

Required scope

assistant-work:read

Request

curl -X POST "https://api.endurancehq.app/v1/assistant-work/inspect" \
  -H "Authorization: Bearer $EHQ_API_KEY"

JSON body schema

{
  "$schema": "https://json-schema.org/draft/2020-12/schema",
  "type": "object",
  "properties": {
    "workId": {
      "description": "Omit to list your connected assistant work and available destinations.",
      "type": "string",
      "minLength": 1,
      "maxLength": 200
    }
  },
  "additionalProperties": false
}

Response

Success status: 200

{
  "$schema": "https://json-schema.org/draft/2020-12/schema",
  "type": "object",
  "properties": {
    "data": {}
  },
  "required": [
    "data"
  ],
  "additionalProperties": false
}

Other surfaces

MCP tool: ehq_assistant_work_inspect